Documentation Index

Fetch the complete documentation index at: https://docs.wair.ai/llms.txt

Use this file to discover all available pages before exploring further.

POST /Brands

Prev Next

GENERAL INFORMATION

Purpose

This endpoint is used for sharing product brand information.

How the data is used

The brand information is shown throughout the customer portal so users are quick to identify the brands of the products in the overview:

This enables users to gain insights of the products of that brand so they are able to make decisions and/or create (automated) actions in the customer portal based on the brand information. This makes it a highly recommended dataset to share. When you operate as a multi brand retailer this is basically a must have to implement for the business.

Best practices

  1. Make sure to update the brands on a regular basis, recommended minimum once a day, to ensure the brand information is complete and in-line with the brands assigned to the items.

  2. Ensure that the id you are using in this endpoint aligns with the brandId you are assigning to the items in this endpoint POST /Items

  3. For the description use a clear, short description of the brand, typically just the brand name like “Nike”

Common pitfalls

  1. Do not generated a random id for the brandId field in the integration, only use system generated id’s that are fixed in the source system, as you need the same id to also be able to be able to update the brand information.

  2. A common pitfall is to send a system generated like a guid in the code field, which can make it unclear for users in our customer portal to see which brand they are looking at.

Example use cases

  1. As a merchandiser I want to give a push to the replenishment of the Jack and Jones T-Shirt as they will be featured in a commercial soon.

  2. As a merchandiser I want redistribute all the PME products from last season back to a return warehouse for to make room in the stores for the new seasonal PME products.

TECHNICAL INFORMATION

Authentication

Bearer token, information on page POST /Token

Headers

Name

Description

Example

X-Tenant

Tenant code supplied by Wair

“TENANT”

QueryParameters:

Name

Description

Example

fullLoad

See documentation:

Integration core principles

true

Body example:

{
  "brands": [
    {
      "brandId": "72880ec2-07ea-44c1-8de5-386b166b570a",
      "code": "HUGO01",
      "description": "BOSS Black"
    },
    {
      "brandId": "85631fb5-905c-4da1-bc66-9058dda4c9d4",
      "code": "HUGO02",
      "description": "BOSS Orange"
    }
  ]
}

Field information:

Fieldname

Context

Mandatory

Type / max characters

brandId

Unique identifier for this brand, for example a uuid, needs to be unique across all brands. If you want to update a brand, send the brand again using this id.

Yes

string / 80 characters

code

A business key of the brand, often recognizable to users

Yes

string / 60 characters max

description

The name of the brand

No, but highly preferred

string / 255 characters max

RESPONSE

StatusCodes:

200 = OK

401 = Unauthorized, which means an expired/missing/invalid token

400 = Bad request, see body of the response to check which validation errors have occured

500 = System error, see body of the response to check which error has occured or contact integration support

Body Example:

No body in the response